Skip to content

End an edit session

DELETE/v2/themes/{themeId}/rive-graphics/{graphicId}/edit-sessions/{sessionToken}

DELETE
/v2/themes/{themeId}/rive-graphics/{graphicId}/edit-sessions/{sessionToken}
curl --request DELETE \
--url 'https://api.ligr.live/rest/v2/themes/1/rive-graphics/example/edit-sessions/example?outcome=keep' \
--header 'Authorization: Bearer <token>'

Beta. This operation can change between minor versions. See Beta status.

Ends an edit session and releases the editor lock. keep leaves the draft as it is. discard restores the draft as it was at the session start, or at the last publish, replace or thumbnail in the session.

themeId
required
number format: double
graphicId
required
string
sessionToken
required
string
outcome
string
default: keep
Allowed values: keep discard

Ok

Media typeapplication/json
object
outcome
required
string
Allowed values: keep discard
updatedAt
required

ISO 8601 updatedAt of the draft after the session ended.

string
Example
{
"outcome": "keep"
}